/*
 * Class WEL_ICON_INFO
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_765 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_765 [] = {0xFF01,1551,764,0xFFFF};
static const EIF_TYPE_INDEX egt_2_765 [] = {0xFF01,764,0xFFFF};
static const EIF_TYPE_INDEX egt_3_765 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_765 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_765 [] = {0xFF01,764,0xFFFF};
static const EIF_TYPE_INDEX egt_6_765 [] = {0xFF01,764,0xFFFF};
static const EIF_TYPE_INDEX egt_7_765 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_765 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_765 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_765 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_765 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_765 [] = {0xFF01,764,0xFFFF};
static const EIF_TYPE_INDEX egt_13_765 [] = {0xFF01,712,0xFFFF};
static const EIF_TYPE_INDEX egt_14_765 [] = {0xFF01,712,0xFFFF};


static const struct desc_info desc_765[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_765), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_765), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17573, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_765), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17572, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_765), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_765), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_765), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_765), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_765), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_765), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_765), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_765), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_765), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x05F9 /*764*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_765), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 20},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 8},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17971, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17571, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17575, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17963, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17581, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17582, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 12894, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12895, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12896, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17987, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_765), 17948, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_765), 17949, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17950, 9},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17951, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17952, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17953, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17954, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17955, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17956, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17957, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17958, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17959, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17960, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17961, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17962, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17964, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17965, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17966, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17967, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17968, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17969, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17970, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0591 /*712*/), 17972, 0},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17973, 12},
	{EIF_NON_GENERIC(0x0591 /*712*/), 17974, 4},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17975, 16},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17976, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17977, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17978, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17979, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17980, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17981, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17982, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17983, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17984, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17985, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17986, 0xFFFFFFFF},
};
void Init765(void)
{
	IDSC(desc_765, 0, 764);
	IDSC(desc_765 + 1, 1, 764);
	IDSC(desc_765 + 32, 791, 764);
	IDSC(desc_765 + 34, 1359, 764);
	IDSC(desc_765 + 44, 1308, 764);
	IDSC(desc_765 + 54, 1503, 764);
	IDSC(desc_765 + 57, 1365, 764);
}


#ifdef __cplusplus
}
#endif
